# RPM specfile for gnome-utils module
# Generated Tue Oct 29 09:35:58 2002 GMT by Ximian build system
# $Id: bb_do,v 1.190 2002/07/15 15:56:59 thunder Exp $
# from $Id: ximian-build.conf,v 1.13.2.2 2002/09/23 16:40:28 jacob Exp $

%define nam	gnome-utils
%define ver	2.0.4.0.200210290744
%define ximrev	1

Name:     	gnome-utils2
Version: 	2.0.4.0.200210290744
Release:	0.snap.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.2 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	gnome-utils-2.0.4.tar.gz
Summary:	Gnome Utilities (gtt, gcalc, and more)
Group:		System Environment/Libraries
Requires:	scrollkeeper
Provides:	gnome-utils = %{PACKAGE_VERSION}
Provides:	ximian-gnome-utils2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	gnome-utils
Prereq:	GConf2
Prereq:	scrollkeeper

%description
This package contains:

gcalc - a simple calculator
gcolorsel - a color selector
gdialog - a Gtk version of the 'dialog' program
gfontsel - a font selector
gless - a Gtk version of the 'less' pager
gnome-run - a graphical utility to execute a user entered command
gpenguin - a penguin that follows the mouse
grun - a minimal graphical utility to execute a user entered command
gsearchtool - a tool for finding and grepping through files
gshutdown - reboot or shutdown your machine
gstripchart - plot system measurements
gtt - a task timer/tracker
guname - display 'uname' information about your system
gw - display users on the system, like 'w'
idetool - an IDE disk viewing tool
splash/splac - splash screen renderer

All these utilities are part of GNOME, the complete desktop
environment based entirely on free software.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/libexec/*
/usr/lib/bonobo/servers/*
/usr/share/applications/*
/usr/share/gnome-system-log
/usr/share/gnome-utils
/usr/share/gnome/help/*
/usr/*/locale/*/*/*
/usr/share/man/man?/*
/usr/share/mime-info/*
/usr/share/omf/gnome-utils
/usr/share/pixmaps/*
/usr/share/gnome-2.0/ui/*
%config /etc/gconf/schemas/*


%post
for schema in gdict ; do GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule /etc/gconf/schemas/$schema.schemas ; done

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-utils-2.0.4
    ;;
all)
%setup  -q -n gnome-utils-2.0.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 ${MAKE} install DESTDIR=$DESTDIR
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Oct 29 2002 Ximian, Inc.

- Version: 1:2.0.4.0.200210290744-0.snap.ximian.1
- Summary: New build.
- New automated build.

